GUIX(BUILD)

NAME
guix build (GNU Guix) - manual page for guix build (GNU Guix) 1.3.0

SYNOPSIS
guix archive [OPTION]... PACKAGE...

DESCRIPTION
Export/import one or more packages from/to the store.

--export
    export the specified files/packages to stdout

-r, --recursive
    combined with '--export', include dependencies

--import
    import from the archive passed on stdin

--missing
    print the files from stdin that are missing

-x, --extract=DIR
    extract the archive on stdin to DIR

-t, --list
    list the files in the archive on stdin

--generate-key[=PARAMETERS]
    generate a key pair with the given parameters

--authorize
    authorize imports signed by the public key on stdin

-e, --expression=EXPR
    build the package or derivation EXPR evaluates to

-S, --source
    build the packages' source derivations

-s, --system=SYSTEM
    attempt to build for SYSTEM--e.g., "i686-linux"

--target=TRIPLET
    cross-build for TRIPLET--e.g., "armel-linux-gnu"

-v, --verbosity=LEVEL
    use the given verbosity LEVEL

-L, --load-path=DIR
    prepend DIR to the package module search path

-K, --keep-failed
    keep build tree of failed builds

-k, --keep-going
    keep going when some of the derivations fail

-n, --dry-run
    do not build the derivations

--fallback
    fall back to building when the substituter fails

--no-substitutes
    build instead of resorting to pre-built substitutes

--substitute-urls=URLS
    fetch substitute from URLS if they are authorized

--no-grafts
    do not graft packages

--no-offload
    do not attempt to offload builds

--max-silent-time=SECONDS
    mark the build as failed after SECONDS of silence

--timeout=SECONDS
    mark the build as failed after SECONDS of activity

--rounds=N
    build N times in a row to detect non-determinism

-c, --cores=N
    allow the use of up to N CPU cores for the build

-M, --max-jobs=N
    allow at most N build jobs

--debug=LEVEL
    produce debugging output at LEVEL

-h, --help
    display this help and exit

-V, --version
    display version information and exit

REPORTING BUGS
Report bugs to: bug-guix@gnu.org.
GNU Guix home page: <https://www.gnu.org/software/guix/>
General help using Guix and GNU software: <https://guix.gnu.org/en/help/>

COPYRIGHT
Copyright © 2021 the Guix authors License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for guix build (GNU Guix) is maintained as a Texinfo manual. If the info and guix build (GNU Guix) programs are properly installed at your site, the command

    info guix

should give you access to the complete manual.